VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "mscomm32.ocx"
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   6165
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6720
   LinkTopic       =   "Form1"
   ScaleHeight     =   6165
   ScaleWidth      =   6720
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSetBacklight 
      Caption         =   "Set"
      Height          =   375
      Left            =   4320
      TabIndex        =   11
      Top             =   4800
      Width           =   855
   End
   Begin VB.TextBox txtBackLight 
      Height          =   375
      Left            =   2760
      TabIndex        =   10
      Text            =   "100"
      Top             =   4800
      Width           =   1335
   End
   Begin VB.CommandButton cmdSetContrast 
      Caption         =   "Set"
      Height          =   375
      Left            =   4320
      TabIndex        =   9
      Top             =   4200
      Width           =   855
   End
   Begin VB.TextBox txtContrast 
      Height          =   375
      Left            =   2760
      TabIndex        =   8
      Text            =   "16"
      Top             =   4200
      Width           =   1335
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   1800
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   3360
      Width           =   2775
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Scroll"
      Height          =   255
      Left            =   1920
      TabIndex        =   3
      Top             =   2520
      Width           =   1815
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   750
      Left            =   960
      Top             =   240
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   855
      Left            =   5280
      TabIndex        =   2
      Top             =   1440
      Width           =   855
   End
   Begin VB.TextBox Text2 
      Height          =   375
      Left            =   1800
      TabIndex        =   1
      Text            =   "Text2"
      Top             =   1920
      Width           =   3375
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   1800
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   1440
      Width           =   3375
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   120
      Top             =   240
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
   End
   Begin VB.Label Label3 
      Caption         =   "Backlight"
      Height          =   255
      Left            =   1800
      TabIndex        =   7
      Top             =   4920
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Contrast"
      Height          =   375
      Left            =   1800
      TabIndex        =   6
      Top             =   4200
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Scroll Speed"
      Height          =   375
      Left            =   1800
      TabIndex        =   5
      Top             =   3120
      Width           =   2655
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private WithEvents Panel As clsLCDPanel
Attribute Panel.VB_VarHelpID = -1
Private LCDTopMenu As clsLCDMenu
Private LCDChannelMenu As clsLCDMenu
Private MenuLevelDisplayed As Integer


Private Sub cmdSetBacklight_Click()
        
    If IsNumeric(txtBackLight.Text) Then
        If CInt(txtBackLight.Text) > 0 And CInt(txtBackLight.Text) <= 100 Then
            Panel.SetBackLight CInt(txtBackLight.Text)
        Else
            MsgBox "Backlight value must be in range 1-100"
        End If
    Else
        MsgBox "Value must be an integer in range 1-100"
    End If
    
End Sub

Private Sub cmdSetContrast_Click()
    
    If IsNumeric(txtContrast.Text) Then
        If CInt(txtContrast.Text) > 0 And CInt(txtContrast.Text) <= 50 Then
            Panel.SetConstrast CInt(txtContrast.Text)
        Else
            MsgBox "Contrast value must be in range 1-50"
        End If
    Else
        MsgBox "Value must be an integer in range 1-50"
    End If
    
End Sub

Private Sub Combo1_Click()
    Select Case Combo1.ListIndex
        Case 0
        Panel.ScrollSpeed = Slower
        Case 1
        Panel.ScrollSpeed = Slow
        Case 2
        Panel.ScrollSpeed = Medium
        Case 3
        Panel.ScrollSpeed = Fast
        Case 4
        Panel.ScrollSpeed = Faster
    End Select
        
End Sub

Private Sub Command1_Click()
    On Error GoTo ErrHandler
    Panel.Display Text1.Text, Text2.Text, Check1.Value
    
Exit Sub
ErrHandler:
MsgBox "Problem!"
End Sub

Private Sub Form_Load()

    MSComm1.CommPort = 1
    MSComm1.SThreshold = 5
    MSComm1.RThreshold = 5
    MSComm1.Settings = "19200,n,8,1"
        
        
    Set Panel = New clsLCDPanel
    Set Panel.MsCommControl = MSComm1
    Set Panel.ScrollTimer = Timer1
    
    Set LCDTopMenu = New clsLCDMenu
    Set LCDChannelMenu = New clsLCDMenu
       
    
    Combo1.AddItem "slower"
    Combo1.AddItem "slow"
    Combo1.AddItem "medium"
    Combo1.AddItem "fast"
    Combo1.AddItem "faster"
    
    Combo1.ListIndex = 2
    
    With LCDTopMenu
    .AddItem 1, "Skip Track"
    .AddItem 2, "Select Channel"
    .AddItem 3, "Schedule Mode"
    End With
        
    With LCDChannelMenu
    .AddItem 1, "Let's Rock"
    .AddItem 2, "Jazz"
    .AddItem 3, "Blues"
    .AddItem 4, "Party Time"
    End With

End Sub



Private Sub Form_Unload(Cancel As Integer)
    Set Panel = Nothing
End Sub

Private Sub Panel_ButtonReleased(ButtonReleased As ButtonType)
    Select Case ButtonReleased
        
        Case ButtonType.RightButton
            'MsgBox "Right Button"
        Case ButtonType.LeftButton
            'MsgBox "Left Button"
        Case ButtonType.UpButton
            MenuUp
        Case ButtonType.DownButton
            MenuDown
        Case ButtonType.EnterButton
            MenuOk
        Case ButtonType.CancelButton
            MenuCancel
    End Select
End Sub

Private Sub MenuCancel()

    If MenuLevelDisplayed = 1 Then
        MenuLevelDisplayed = 0
        Panel.Display "Artist", "Song Title", True
    ElseIf MenuLevelDisplayed = 2 Then
        MenuLevelDisplayed = 1
        Panel.Display LCDTopMenu.CurrentItem, "Cancel=Back", False
    End If
    
End Sub

Private Sub MenuOk()
    
    If MenuLevelDisplayed = 0 Then
        MenuLevelDisplayed = 1
        Panel.Display LCDTopMenu.CurrentItem, "Cancel=Back", False
    ElseIf MenuLevelDisplayed = 1 Then
        
        Select Case LCDTopMenu.CurrentIndex
        
            Case 1
            MsgBox "Track Skipped"
            Case 2
            MenuLevelDisplayed = 2
            Panel.Display LCDChannelMenu.CurrentItem, "Cancel=Back", False
            Case 3
            MsgBox "Schedule Mode"
        
        End Select
        
    ElseIf MenuLevelDisplayed = 2 Then
    
        MsgBox "Channel " & LCDChannelMenu.CurrentIndex & " selected."
    
    End If
    
End Sub

Private Sub MenuUp()
    If MenuLevelDisplayed = 1 Then
        Panel.Display LCDTopMenu.NextItem, "Cancel=Back", False
    ElseIf MenuLevelDisplayed = 2 Then
        Panel.Display LCDChannelMenu.NextItem, "Cancel=Back", False
    End If
End Sub

Private Sub MenuDown()
    If MenuLevelDisplayed = 1 Then
        Panel.Display LCDTopMenu.PreviousItem, "Cancel=Back", False
    ElseIf MenuLevelDisplayed = 2 Then
        Panel.Display LCDChannelMenu.PreviousItem, "Cancel=back", False
    End If
    
End Sub
